| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::ColorFilter Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::ColorFilter:

## Public Member Functions
| ColorFilter (ImpellerColorFilter filter, AdoptTag tag)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerColorFilter, ImpellerColorFilterTraits >
| Object ()=default
| Object (ImpellerColorFilter object)
| Object (ImpellerColorFilter object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerColorFilter | Get () const
| operator bool () const

## Static Public Member Functions
static ColorFilter | Blend (const ImpellerColor &color, ImpellerBlendMode mode)
static ColorFilter | Matrix (const ImpellerColorMatrix &color_matrix)

## Detailed Description

See also
  ImpellerColorFilter

Definition at line 455 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ ColorFilter()

IMPELLER_HPP_NAMESPACE::ColorFilter::ColorFilter | ( | ImpellerColorFilter | filter,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 458 of file impeller.hpp.

458 : Object(filter, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerColorFilter, ImpellerColorFilterTraits >::Object
Object()=default

Referenced by Blend(), and Matrix().

## Member Function Documentation

## ◆ Blend()

static ColorFilter IMPELLER_HPP_NAMESPACE::ColorFilter::Blend | ( | const ImpellerColor & | color,
|  | ImpellerBlendMode | mode
| ) |  |
| inlinestatic

See also
  ImpellerColorFilterCreateBlendNew

Definition at line 463 of file impeller.hpp.

463 {
464 return ColorFilter(
465 gGlobalProcTable.ImpellerColorFilterCreateBlendNew(&color, mode),
466 AdoptTag::kAdopt);
467 }
IMPELLER_HPP_NAMESPACE::ColorFilter::ColorFilter
ColorFilter(ImpellerColorFilter filter, AdoptTag tag)
Definition: impeller.hpp:458
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References ColorFilter(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Matrix()

static ColorFilter IMPELLER_HPP_NAMESPACE::ColorFilter::Matrix | ( | const ImpellerColorMatrix & | color_matrix | ) |
| inlinestatic

See also
  ImpellerColorFilterCreateColorMatrixNew

Definition at line 472 of file impeller.hpp.

472 {
473 return ColorFilter(
474 gGlobalProcTable.ImpellerColorFilterCreateColorMatrixNew(&color_matrix),
475 AdoptTag::kAdopt);
476 }

References ColorFilter(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp